# Uses of Interface
java.lang.constant.MethodHandleDesc

Packages that use MethodHandleDesc
Package
Description
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.

- ## Uses of MethodHandleDesc in java.lang.constant

  Subinterfaces of MethodHandleDesc in java.lang.constant
  Modifier and Type
  Interface
  Description
  `interface`
  `DirectMethodHandleDesc`
  A nominal descriptor for a direct `MethodHandle`.
  Methods in java.lang.constant that return MethodHandleDesc
  Modifier and Type
  Method
  Description
  `default MethodHandleDesc`
  MethodHandleDesc.`asType(MethodTypeDesc type)`
  Returns a MethodHandleDesc that describes this method handle adapted to a different type, as if by `MethodHandle.asType(MethodType)`.
  `MethodHandleDesc`
  DynamicCallSiteDesc.`bootstrapMethod()`
  Returns a `MethodHandleDesc` describing the bootstrap method for the `invokedynamic`.

- ## Uses of MethodHandleDesc in java.lang.invoke

  Methods in java.lang.invoke that return types with arguments of type MethodHandleDesc
  Modifier and Type
  Method
  Description
  `Optional<MethodHandleDesc>`
  MethodHandle.`describeConstable()`
  Return a nominal descriptor for this instance, if one can be constructed, or an empty `Optional` if one cannot be.